Page MenuHomePhabricator

New translation: Support search to translate a section
Closed, ResolvedPublic

Assigned To
Authored By
Pginer-WMF
Aug 11 2020, 2:19 PM
Referenced Files
F34457483: image.png
May 17 2021, 12:58 PM
F34453848: image.png
May 14 2021, 11:34 AM
F34453852: image.png
May 14 2021, 11:34 AM
F34133647: New translation - Search.png
Mar 3 2021, 9:22 AM
F34133649: New translation - Search Dimensions.png
Mar 3 2021, 9:22 AM
F34131232: New translation - Navigation.png
Mar 2 2021, 7:40 AM
F31835435: New translation - Navigation.png
Aug 11 2020, 2:19 PM
F31835461: New translation - Search.png
Aug 11 2020, 2:19 PM

Description

As part of the "new translation" entry point (T241590) from the Translation Dashboard, users can start a translation of a section for an article of their choice.

This ticket focuses on supporting the step to search for an article.

New translation - Navigation.png (768×1 px, 209 KB)

New translation - Search.png (768×1 px, 229 KB)
New translation - Search Dimensions.png (768×1 px, 112 KB)

More details in the parent task: T241590: Section Translation: "New translation" entry point

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedngkountas
OpenNone
Resolvedngkountas
Resolvedngkountas
OpenBUG REPORTNone
Resolvedngkountas
Resolvedngkountas
Resolvedsanthosh
Resolvedngkountas
Resolvedsanthosh
OpenNone
Resolvedngkountas
Resolvedngkountas
Resolvedngkountas
Resolvedsanthosh
Resolvedngkountas
ResolvedPginer-WMF
OpenNone
ResolvedBUG REPORTngkountas
Resolvedsanthosh
DeclinedNone
OpenNone
Resolvedngkountas
OpenNone
OpenNone
Resolvedngkountas
ResolvedBUG REPORTngkountas
Resolvedngkountas
Resolvedngkountas
OpenNone
OpenNone
Openngkountas

Event Timeline

Pginer-WMF triaged this task as Medium priority.Aug 11 2020, 2:19 PM
Pginer-WMF created this task.
Pginer-WMF raised the priority of this task from Medium to High.Dec 16 2020, 12:39 PM
Pginer-WMF lowered the priority of this task from High to Medium.Dec 22 2020, 9:24 AM
Pginer-WMF raised the priority of this task from Medium to High.Mar 2 2021, 3:57 PM

Change 677527 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] SXArticleSearcher: Introduce search for an article view

https://gerrit.wikimedia.org/r/677527

Change 677530 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] SXArticleSearcher: add top search bar

https://gerrit.wikimedia.org/r/677530

Change 677531 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] SXArticleSearcher: add language selection button group

https://gerrit.wikimedia.org/r/677531

Change 677532 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] SXArticleSearcher: Add recently edited search suggestions

https://gerrit.wikimedia.org/r/677532

Change 677535 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] SXArticleSearcher: add nearby search suggestions

https://gerrit.wikimedia.org/r/677535

Change 677538 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] SXArticleSearcher: add search for articles functionality

https://gerrit.wikimedia.org/r/677538

Change 677534 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] SX vuex store: add mediawiki/fetchNearbyPages action

https://gerrit.wikimedia.org/r/677534

Change 677536 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] SX mediawiki/page api client: add search pages by title action

https://gerrit.wikimedia.org/r/677536

Change 677527 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] SXArticleSearch: Introduce search for an article view

https://gerrit.wikimedia.org/r/677527

Change 677530 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] SXArticleSearch: add top search bar

https://gerrit.wikimedia.org/r/677530

Change 677531 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] SXArticleSearch: add language selection button group

https://gerrit.wikimedia.org/r/677531

Change 677532 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] SXArticleSearch: Add recently edited search suggestions

https://gerrit.wikimedia.org/r/677532

Change 677534 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] SX vuex store: add mediawiki/fetchNearbyPages action

https://gerrit.wikimedia.org/r/677534

Change 677535 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] SXArticleSearch: add nearby search suggestions

https://gerrit.wikimedia.org/r/677535

Change 677536 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] SX mediawiki/page api client: search pages by title prefix

https://gerrit.wikimedia.org/r/677536

Change 677538 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] SXArticleSearch: add search for articles functionality

https://gerrit.wikimedia.org/r/677538

Jpita added a subscriber: Jpita.

when I paste a string, it is not recognised as a search even if I press enter.
I need then to press a character key or delete a character to start the search.
Should I create a new ticket @Pginer-WMF ?

IMPROVEMENT IDEA: when using the arrow keys up and down we should go change the focus to the results so we can then chose an article with the Enter key

when I paste a string, it is not recognised as a search even if I press enter.
I need then to press a character key or delete a character to start the search.
Should I create a new ticket @Pginer-WMF ?

Good catch. Yes, please create a ticket.

IMPROVEMENT IDEA: when using the arrow keys up and down we should go change the focus to the results so we can then chose an article with the Enter key

This is also worth creating a ticket for. In addition, highlighting the first result would allow to just press enter to select it, which could speed the workflow further.

Also more generally the accessibility support may need a review. currently some interactive elements are not reachable when pressing the tab key. Although our current focus is on mobile support, the product should be usable in a keyboard-only. This would make it work better on desktop but also on accessibility-focused browsers.

@ngkountas found this issue when selecting different languages.

image.png (298×588 px, 30 KB)

image.png (746×1 px, 209 KB)

is this supposed to be fixed in a different task?

update:
once we see the error from T260141#7087858 then the suggestions stop showing up when we go back to the dashboard

image.png (1×2 px, 455 KB)

@Jpita I have created T283077 to track this issue. If everything else belonging to this ticket has been resolved, feel free to move it to done.